Package com.enonic.xp.index

## Class ChildOrder

- java.lang.Object
- - com.enonic.xp.index.ChildOrder

-     @PublicApi
      public final class ChildOrder
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `ChildOrder.Builder` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ChildOrder.Builder` | `create()` |
    `static ChildOrder` | `defaultOrder()` |
    `boolean` | `equals​(Object o)` |
    `static ChildOrder` | `from​(String orderExpression)` |
    `OrderExpressions` | `getOrderExpressions()` |
    `int` | `hashCode()` |
    `boolean` | `isEmpty()` |
    `boolean` | `isManualOrder()` |
    `static ChildOrder` | `manualOrder()` |
    `static ChildOrder` | `name()` |
    `static ChildOrder` | `path()` |
    `static ChildOrder` | `publish()` |
    `static ChildOrder` | `reverseManualOrder()` |
    `static ChildOrder` | `reversePath()` |
    `static ChildOrder` | `reversePublish()` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### manualOrder

          public static ChildOrder manualOrder()

    - #### reverseManualOrder

          public static ChildOrder reverseManualOrder()

    - #### defaultOrder

          public static ChildOrder defaultOrder()

    - #### path

          public static ChildOrder path()

    - #### reversePath

          public static ChildOrder reversePath()

    - #### name

          public static ChildOrder name()

    - #### publish

          public static ChildOrder publish()

    - #### reversePublish

          public static ChildOrder reversePublish()

    - #### from

          public static ChildOrder from​(String orderExpression)

    - #### isManualOrder

          public boolean isManualOrder()

    - #### isEmpty

          public boolean isEmpty()

    - #### getOrderExpressions

          public OrderExpressions getOrderExpressions()

    - #### create

          public static ChildOrder.Builder create()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`